Package org.eclipse.rdf4j.federated.evaluation.iterator

## Class RepositoryExceptionConvertingIteration<T>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.ExceptionConvertingIteration<T,​QueryEvaluationException>
    - - org.eclipse.rdf4j.federated.evaluation.iterator.RepositoryExceptionConvertingIteration<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<T,​QueryEvaluationException>`, `Iteration<T,​QueryEvaluationException>`

      public class RepositoryExceptionConvertingIteration<T>
      extends ExceptionConvertingIteration<T,​QueryEvaluationException>

  Convenience iteration to convert `RepositoryResult` exceptions to `QueryEvaluationException`.
  Author:
    Andreas Schwarte

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryExceptionConvertingIteration​(Iteration<? extends T,​? extends Exception> iter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected QueryEvaluationException` | `convert​(Exception e)` | Converts an exception from the underlying iteration to an exception of type X.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.ExceptionConvertingIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### RepositoryExceptionConvertingIteration

          public RepositoryExceptionConvertingIteration​(Iteration<? extends T,​? extends Exception> iter)

  - ### Method Detail

    - #### convert

          protected QueryEvaluationException convert​(Exception e)

      Description copied from class: `ExceptionConvertingIteration`
      Converts an exception from the underlying iteration to an exception of type X.
      Specified by:
        `convert` in class `ExceptionConvertingIteration<T,​QueryEvaluationException>`